Subject: Re: python-tests: python-oslosphinx fixed. Please evaluate.

From: Ricardo Wurmus <[email-masked]>
Date: Tue, 21 Feb 2017 18:30:12 +0100

Ricardo Wurmus <[email-masked]> writes:

> Leo Famulari <[email-masked]> writes:
>
>> On Mon, Feb 20, 2017 at 12:00:21AM +0100, Marius Bakke wrote:
>>> Danny Milosavljevic <[email-masked]> writes:
>>> > @Leo: Can you please start a new evaluation of python-tests?
>>> 
>>> I pushed some other fixes recently and built most of `guix package -A
>>> python`, so I think we're ready for a new evaluation. I suggest we do a
>>> new evaluation on 'master' after fixing the most critical packages so we
>>> can include this in 'core-updates'. How does that sound?
>>
>> I just started a new evaluation of the branch.
>>
>>> These packages are known to fail still:
>>> 
>>> python-dendropy
>>> python2-fastlmm
>>> python2-bandit
>>> python-openid
>>> python-axolotl
>>> 
>>> + Many of the python2 variants of the openstack family libraries (oslo
>>> etc), which seems to have a unittest2 version mismatch. Should be
>>> easy to fix, but let's get some substitutes first :-)
>>
>> I think we should set '#:tests? #f' in these packages and build and
>> merge the branch.
>>
>> If these remaining test suite failures indicate that the packages are
>> broken, they will be equally broken with the test suites disabled. But
>> overall we will benefit from fixing this bug in python-build-system.
>
> I agree.
>
> Only two tests (out of 820) for python-dendropy fail:
>
> + test_fixed_species_tree_fitting (dendropy.test.test_multispeciescoalescent.MultispeciesCoalescentBasicTestCase)
> + test1 (dendropy.test.test_multispeciescoalescent.MultispeciesCoalescentFixedSingleTreesCalculationTestCase)
>
> Both fail with
>
>     TypeError: unorderable types: Edge() < Edge()
>
> I think it’s worth building the package anyway after disabling these two
> tests.  I reported the test failures upstream:
>
>     https://github.com/jeetsukumaran/DendroPy/issues/77

Attached is a patch to delete the failing tests for DendroPy.

>From 1ac5166df11766b47cd1ac723a464063a89afc96 Mon Sep 17 00:00:00 2001
From: Ricardo Wurmus <[email-masked]>
Date: Tue, 21 Feb 2017 18:28:21 +0100
Subject: [PATCH] gnu: python-dendropy: Disable failing tests.

* gnu/packages/bioinformatics.scm (python-dendropy): Disable two failing
tests.
---
 gnu/packages/bioinformatics.scm | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index 5a1738b93..8295479a2 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -1983,6 +1983,13 @@ accessing bigWig files.")
         (base32
          "15c7s3d5gf19ljsxvq5advaa752wfi7pwrdjyhzmg85hccyvp47p"))))
     (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'delete-broken-tests
+           (lambda _
+             (delete-file "dendropy/test/test_multispeciescoalescent.py")
+             #t)))))
     (home-page "http://packages.python.org/DendroPy/")
     (synopsis "Library for phylogenetics and phylogenetic computing")
     (description
-- 
2.11.1

-- 
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net